Bug 481205 - snd-powermac fails to load
snd-powermac fails to load
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
12
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-22 14:12 EST by Joseph Sacco
Modified: 2010-12-05 02:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:02:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Sacco 2009-01-22 14:12:20 EST
After an upgrade of the ALSA libs to

   alsa-lib-1.0.19-1.fc10.ppc
   alsa-lib-devel-1.0.19-1.fc10.ppc
   alsa-plugins-pulseaudio-1.0.18-2.fc10.ppc
   alsa-utils-1.0.18-6.fc10.ppc

snd-powermac no longer loads.

% su  -
% modprobe snd-powermac
% dmesg

             ...

ALSA sound/core/init.c:183: cannot find the slot for index 0 (range 0-0), error: -16
snd_powermac: probe of snd_powermac failed with error -12

NOTE: snd-powermac does not attempt to load automatically as has been reported earlier by others. It is necessary to use a modprobe.conf file:

% cat /etc/modprob.conf
alias eth0 gem
alias scsi_hostadapter sym53c8xx
alias snd-card-0 snd-powermac
options snd-card-0 index=0
options snd-powermac index=0

-Joseph
Comment 1 Joseph Sacco 2009-01-29 11:38:03 EST
The problem persists with the latest kernel

     2.6.27.12-170.2.5.fc10.ppc.smp

ALSA sound/core/init.c:183: cannot find the slot for index 0 (range 0-0), error: -16
snd_powermac: probe of snd_powermac failed with error -12


-Joseph
Comment 2 Joseph Sacco 2009-02-28 12:18:49 EST
The problem persists with the latest kernel

   2.6.27.15-170.2.24.fc10.ppc.smp 

ALSA sound/core/init.c:183: cannot find the slot for index 0 (range 0-0), error: -16
snd_powermac: probe of snd_powermac failed with error -12


One oddity... Sometimes when booting into FC10 from a different OS [OS X or FC9] snd_powermac actually loads properly so the ALSA tumbler works.

I vaguely remember this issue appearing in earlier kernels. The problem then was slot contention. David Woodhouse understood the cause of the problem and got the kernel team to fix it.

-Joseph
Comment 3 Joseph Sacco 2009-07-27 13:58:54 EDT
The problem persists in fc11.  I have yet to get sound to work. I can manually load snd-powermac.  If I attempt to play anything all I hear is loud white noise.

-Joseph
Comment 4 Joseph Sacco 2009-09-12 15:49:56 EDT
Latest upgrade as of 12sep2009 now reports the sound hardware device as KeyLargo MAC I/O, which is not correct for the earlier G4 MACs. The snd-powermac driver still exists but no longer loads properly.  I suspect some other driver has co-opted its slot.

-Joseph
Comment 5 Joseph Sacco 2009-10-07 14:35:20 EDT
The problem persists in fc11 as of 07-Oct-09. 

I realize that older 32-bit PPC-based powermacs are headed toward extinction, but as long as the snd-powermac kernel driver is made available as part of the distribtion

   /lib/modules/2.6.30.8-64.fc11.ppc.smp/kernel/sound/ppc/snd-powermac.ko

it should work.

FWIW... sound works properly on this G4 powermac when running ubuntu 9.04. 


-Joseph
Comment 6 Joseph Sacco 2009-12-20 07:54:30 EST
The problem persists in fc12.

-Joseph
Comment 7 Joseph Sacco 2010-01-14 11:26:53 EST
I have resolved the problem by adding a small file to /etc/modprobe.d:

% cat /etc/modprobe.d/alsa-snd_powermac.conf

# 
alias snd-card-0 snd-powermac
options snd-card-0 index=0
options snd-powermac index=0

I wonder if this worked because of the order in which the files in /etc/modprobe.d are parsed:

% ls -1 /etc/modprobe.d/*
/etc/modprobe.d/alsa-base.conf
/etc/modprobe.d/alsa-snd_powermac.conf      <==========
/etc/modprobe.d/anaconda.conf
/etc/modprobe.d/blacklist.conf
/etc/modprobe.d/blacklist-visor.conf
/etc/modprobe.d/dist-alsa.conf
/etc/modprobe.d/dist.conf
/etc/modprobe.d/dist-oss.conf

-Joseph
Comment 8 Douglas Mencken 2010-02-07 04:35:18 EST
I can confirm there was always a need to manually insmod or modprobe snd-powermac module. (I migrated from Debian to Fedora F11, now using F12.) I can't understand why. Is it so hard to auto-detect sound chip?
Comment 9 Jaroslav Kysela 2010-02-07 04:59:10 EST
Moving from alsa-lib to system-config-soundcard . Appearently, it's configuration issue, not the ALSA issue.
Comment 10 Bug Zapper 2010-11-04 07:33:14 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Joseph Sacco 2010-11-04 10:05:55 EDT
The root cause is a failure to detect the right sound hardware, "Mac Tumbler" rather than "Key Largo". When "Mac Tumbler" is detected, snd-powermac loads and is actually used. When "Key Largo" is erroneously detected, snd-powermac appears in the output of "lsmod", but is unused.


-Joseph
Comment 12 Martin Stransky 2010-11-12 02:11:11 EST
Can you attach s-c-s log files? The are at /root/scs-*.log IIRC.
Comment 13 Joseph Sacco 2010-11-13 18:25:21 EST
Martin,

There are no logs named scs-*.log on this system:

     # locate "scs-*.log"

returns an empty list.

As I mentioned in comment #11, the root cause of the problem is a failure to consistently detect the right sound hardware, which on this system is 'Mac Tumbler". 

On occasion the system does detect "Mac Tumbler" rather than 'Key Largo". When it does, sound works.


-Joseph
Comment 14 Bug Zapper 2010-12-05 02:02:41 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.